DROP TABLE 'recommends_collections';

CREATE TABLE 'recommends_collections' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    collection_id TEXT NOT NULL,
    collection_title TEXT NOT NULL,
    collection_subtitle TEXT,
    entry_id TEXT NOT NULL,
    entry_subtitle TEXT,
    is_episode INTEGER NOT NULL,
    sort_position INTEGER NOT NULL,
    UNIQUE (collection_id, entry_id) ON CONFLICT REPLACE
);

DROP VIEW IF EXISTS 'recommends_collections_with_brands';

CREATE VIEW 'recommends_collections_with_brands' AS
SELECT DISTINCT
    brand.*,
    recommends_collections.collection_id,
    recommends_collections.sort_position,
    recommends_collections.entry_subtitle
FROM brand
INNER JOIN
    recommends_collections ON brand.brand_id = recommends_collections.entry_id
WHERE recommends_collections.is_episode = 0;

DROP VIEW IF EXISTS 'recommends_collections_with_episodes';

CREATE VIEW 'recommends_collections_with_episodes' AS
SELECT DISTINCT
    episode.*,
    recommends_collections.collection_id,
    recommends_collections.sort_position,
    recommends_collections.entry_subtitle
FROM episode
INNER JOIN
    recommends_collections ON episode.programme_id = recommends_collections.entry_id
WHERE recommends_collections.is_episode = 1;
