DROP TABLE 'short';

CREATE TABLE 'short' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    short_id TEXT NOT NULL,
    short_title TEXT NOT NULL,
    short_summary TEXT NOT NULL,
    external_video_id TEXT NOT NULL,
    series_number INTEGER NOT NULL,
    episode_number INTEGER NOT NULL,
    short_image_url TEXT NOT NULL,
    short_type TEXT NOT NULL,
    short_duration TEXT NOT NULL,
    source_page TEXT NOT NULL,
    guidance_message TEXT,
    short_brand_encoded_title TEXT,
    age_rating TEXT DEFAULT "0",
    UNIQUE (external_video_id) ON CONFLICT REPLACE
);

CREATE TABLE 'shorts_pages' (
    short_id TEXT NOT NULL,
    page_url TEXT NOT NULL,

    UNIQUE (short_id, page_url) ON CONFLICT REPLACE,
    FOREIGN KEY (short_id) REFERENCES short(short_id),
    FOREIGN KEY (page_url) REFERENCES page(source_page) ON DELETE CASCADE
);

CREATE VIEW 'short_in_page' AS
    SELECT DISTINCT
        short.*,
        shorts_pages.page_url
    FROM short
    INNER JOIN shorts_pages ON short.short_id = shorts_pages.short_id;
