CREATE TABLE IF NOT EXISTS 'freeform' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    brand_id TEXT UNIQUE ON CONFLICT REPLACE NOT NULL,
    freeform_title TEXT NOT NULL,
    freeform_image_url TEXT NOT NULL,
    freeform_deeplink_url TEXT NOT NULL,
    freeform_summary TEXT NOT NULL
);

CREATE VIEW 'recommends_collections_with_freeforms' AS
SELECT DISTINCT
    freeform.*,
    recommends_collections.collection_id,
    recommends_collections.sort_position,
    recommends_collections.entry_subtitle
FROM freeform
INNER JOIN
    recommends_collections ON freeform.brand_id = recommends_collections.entry_id
WHERE recommends_collections.is_episode = 0;
