CREATE TABLE 'brand_hub_episodes' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    brand_hub_web_safe_title TEXT NOT NULL,
    programme_id TEXT NOT NULL,
    title TEXT NOT NULL,
    secondary_title TEXT,
    original_title TEXT NOT NULL,
    short_summary TEXT NOT NULL,
    series_number INTEGER NOT NULL,
    episode_number INTEGER NOT NULL,
    date_label TEXT,
    image_url TEXT NOT NULL,
    premiere INTEGER NOT NULL
);

CREATE TABLE 'brand_hub_episodes_assets' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_programme_id TEXT NOT NULL,
    type TEXT NOT NULL,
    asset_id TEXT NOT NULL,
    url TEXT NOT NULL,
    age_rating INTEGER NOT NULL,
    guidance_message TEXT,
    start_date INTEGER NOT NULL,
    end_date INTEGER NOT NULL,
    duration INTEGER NOT NULL,
    duration_label TEXT NOT NULL,
    request_type TEXT NOT NULL,
    subtitled INTEGER NOT NUll
);

CREATE INDEX brand_hub_series_series_number ON brand_hub_series(series_number);
CREATE INDEX brand_hub_episodes_web_safe_title ON brand_hub_episodes(brand_hub_web_safe_title);
CREATE INDEX brand_hub_episodes_episode_number ON brand_hub_episodes(episode_number);
CREATE INDEX brand_hub_episodes_series_number ON brand_hub_episodes(series_number);
CREATE INDEX brand_hub_episodes_assets_programme_id ON brand_hub_episodes_assets(episode_programme_id);

CREATE VIEW 'brand_hub_episodes_assets_with_title' AS
SELECT brand_hub_episodes_assets.*, brand_hub_episodes.brand_hub_web_safe_title
FROM brand_hub_episodes_assets INNER JOIN brand_hub_episodes
ON brand_hub_episodes_assets.episode_programme_id = brand_hub_episodes.programme_id;
