DROP TABLE IF EXISTS 'my4_history';

CREATE TABLE 'my4_history' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_id TEXT NOT NULL,
    brand_id TEXT NOT NULL
);

CREATE INDEX my4_history_episode_id_index ON my4_history(episode_id);
CREATE INDEX my4_history_brand_id_index ON my4_history(brand_id);

CREATE VIEW 'my4_history_with_assets' AS
SELECT
    brand_hub_episodes_assets.*,
    my4_history.episode_id
FROM brand_hub_episodes_assets INNER JOIN my4_history
ON brand_hub_episodes_assets.episode_programme_id = my4_history.episode_id;

CREATE VIEW 'my4_history_with_episode' AS
SELECT
    brand_hub_episodes.*,
    my4_history.episode_id,
    my4_history.brand_id
FROM brand_hub_episodes INNER JOIN my4_history
ON brand_hub_episodes.programme_id = my4_history.episode_id ORDER BY my4_history._id;

CREATE VIEW 'my4_history_with_brand_and_episode' AS
SELECT
    my4_history_with_episode.*,
    brand_hub.web_safe_title,
    brand_hub.title AS brand_title,
    brand_hub.summary,
    brand_hub.programme_type,
    brand_hub.channel
FROM my4_history_with_episode INNER JOIN brand_hub
ON my4_history_with_episode.brand_id = brand_hub.web_safe_title;
