DROP TABLE 'my4_watching';

CREATE TABLE 'my4_watching' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_id TEXT NOT NULL,
    brand_id TEXT NOT NULL,
    item_position INTEGER NOT NULL
);

CREATE INDEX my4_watching_item_position ON my4_watching(item_position);
CREATE INDEX my4_watching_episode_id_index ON my4_watching(episode_id);
CREATE INDEX my4_watching_brand_id_index ON my4_watching(brand_id);

DROP TABLE 'my4_history';

CREATE TABLE 'my4_history' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_id TEXT NOT NULL,
    brand_id TEXT NOT NULL,
    item_position INTEGER NOT NULL
);

CREATE INDEX my4_hsitory_item_position ON my4_history(item_position);
CREATE INDEX my4_history_episode_id_index ON my4_history(episode_id);
CREATE INDEX my4_history_brand_id_index ON my4_history(brand_id);

DROP VIEW 'my4_watching_with_episode';

CREATE VIEW 'my4_watching_with_episode' AS
SELECT
    brand_hub_episodes.*,
    my4_watching.episode_id,
    my4_watching.brand_id,
    my4_watching.item_position
FROM brand_hub_episodes INNER JOIN my4_watching
ON brand_hub_episodes.programme_id = my4_watching.episode_id ;

DROP VIEW 'my4_history_with_episode';

CREATE VIEW 'my4_history_with_episode' AS
SELECT
    brand_hub_episodes.*,
    my4_history.episode_id,
    my4_history.brand_id,
    my4_history.item_position
FROM brand_hub_episodes INNER JOIN my4_history
ON brand_hub_episodes.programme_id = my4_history.episode_id;

CREATE TABLE 'my4_brand' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    web_safe_title TEXT NOT NULL,
    title TEXT NOT NULL,
    summary TEXT NOT NULL,
    programme_type TEXT NOT NULL,
    channel TEXT NOT NULL,
    UNIQUE (web_safe_title) ON CONFLICT REPLACE
);

CREATE INDEX my4_brand_web_safe_title ON my4_brand(web_safe_title);

DROP VIEW 'my4_watching_with_brand_and_episode';

CREATE VIEW 'my4_watching_with_brand_and_episode' AS
SELECT
    my4_watching_with_episode.*,
    my4_brand.web_safe_title,
    my4_brand.title AS brand_title,
    my4_brand.summary,
    my4_brand.programme_type,
    my4_brand.channel
FROM my4_watching_with_episode INNER JOIN my4_brand
ON my4_watching_with_episode.brand_id = my4_brand.web_safe_title;

DROP VIEW 'my4_history_with_brand_and_episode';

CREATE VIEW 'my4_history_with_brand_and_episode' AS
SELECT
    my4_history_with_episode.*,
    my4_brand.web_safe_title,
    my4_brand.title AS brand_title,
    my4_brand.summary,
    my4_brand.programme_type,
    my4_brand.channel
FROM my4_history_with_episode INNER JOIN my4_brand
ON my4_history_with_episode.brand_id = my4_brand.web_safe_title;
