DROP TABLE 'my4_watching';

CREATE TABLE 'my4_watching' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_id TEXT NOT NULL,
    brand_id TEXT NOT NULL,
    item_position INTEGER NOT NULL,
    new_series INTEGER NOT NULL,
    new_episode INTEGER NOT NULL,
    next_episode INTEGER NOT NULL,
    about_to_expire INTEGER NOT NULL
);

CREATE INDEX my4_watching_item_position ON my4_watching(item_position);
CREATE INDEX my4_watching_episode_id ON my4_watching(episode_id);
CREATE INDEX my4_watching_brand_id ON my4_watching(brand_id);

DROP VIEW 'my4_watching_with_episode';

CREATE VIEW 'my4_watching_with_episode' AS
SELECT
    brand_hub_episodes.*,
    my4_watching.episode_id,
    my4_watching.brand_id,
    my4_watching.new_series,
    my4_watching.new_episode,
    my4_watching.next_episode,
    my4_watching.about_to_expire,
    my4_watching.item_position
FROM brand_hub_episodes INNER JOIN my4_watching
ON brand_hub_episodes.programme_id = my4_watching.episode_id;

DROP TABLE 'my4_history';

CREATE TABLE 'my4_history' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_id TEXT NOT NULL,
    brand_id TEXT NOT NULL,
    item_position INTEGER NOT NULL
);

CREATE INDEX my4_history_item_position ON my4_history(item_position);
CREATE INDEX my4_history_episode_id ON my4_history(episode_id);
CREATE INDEX my4_history_brand_id ON my4_history(brand_id);

DROP VIEW 'my4_history_with_episode';

CREATE VIEW 'my4_history_with_episode' AS
SELECT
    brand_hub_episodes.*,
    my4_history.episode_id,
    my4_history.brand_id,
    my4_history.item_position
FROM brand_hub_episodes INNER JOIN my4_history
ON brand_hub_episodes.programme_id = my4_history.episode_id ORDER BY my4_history._id;
