ALTER TABLE 'episode' ADD COLUMN delivery_download_request_type TEXT;
ALTER TABLE 'episode' ADD COLUMN delivery_stream_request_type TEXT;

DROP VIEW 'recommends_shorts_with_episodes';

CREATE VIEW 'recommends_shorts_with_episodes' AS
SELECT DISTINCT
    episode.*,
    recommends_shorts.collection_id,
    recommends_shorts.sort_position
FROM episode
INNER JOIN
    recommends_shorts ON episode.programme_id = recommends_shorts.programme_id
WHERE recommends_shorts.is_episode = 1;

DROP VIEW 'episodes_with_catch_up_metadata';

CREATE VIEW 'episodes_with_catch_up_metadata' AS
SELECT DISTINCT
    episode._id as episode_db_id,
    episode.title,
    episode.summary,
    episode.episode_number,
    episode.series_number,
    episode.programme_id,
    episode.delivery_download_url,
    episode.delivery_stream_url,
    episode.delivery_download_availability_start_date_time,
    episode.delivery_stream_availability_start_date_time,
    episode.delivery_download_availability_end_date_time,
    episode.delivery_stream_availability_end_date_time,
    episode.delivery_download_request_type,
    episode.delivery_stream_request_type,
    episode.brand_encoded_title,
    episode.brand_title,
    episode.transmission_date,
    episode.thumbnail_url,
    episode.duration,
    episode.short_synopsis,
    episode.guidance_message,
    episode.programme_type,
    episode.age_rating,
    episode.first_transmission_channel,
    episode.premiere,
    catch_up_metadata.transmission_channel,
    catch_up_metadata.catch_up_date_time,
    catch_up_metadata._id as feed_id_order
FROM episode
LEFT OUTER JOIN
    catch_up_metadata ON episode.programme_id = catch_up_metadata.programme_id;

DROP VIEW 'episodes_by_downloads_metadata';

CREATE VIEW 'episodes_by_downloads_metadata' AS
SELECT DISTINCT
    episode._id as episode_db_id,
    episode.title,
    episode.summary,
    episode.episode_number,
    episode.series_number,
    episode.programme_id,
    episode.delivery_download_url,
    episode.delivery_stream_url,
    episode.delivery_download_availability_start_date_time,
    episode.delivery_stream_availability_start_date_time,
    episode.delivery_download_availability_end_date_time,
    episode.delivery_stream_availability_end_date_time,
    episode.delivery_download_request_type,
    episode.delivery_stream_request_type,
    episode.brand_encoded_title,
    episode.brand_title,
    episode.transmission_date,
    episode.thumbnail_url,
    episode.duration,
    episode.short_synopsis,
    episode.guidance_message,
    episode.programme_type,
    episode.age_rating,
    episode.first_transmission_channel,
    episode.premiere,
    download_metadata.download_batch_id
FROM episode
LEFT OUTER JOIN
    download_metadata ON episode.programme_id = download_metadata.download_metadata_programme_id;

DROP VIEW 'recommends_shorts_with_episodes';

CREATE VIEW 'recommends_shorts_with_episodes' AS
SELECT DISTINCT
    episode.*,
    recommends_shorts.collection_id,
    recommends_shorts.sort_position
FROM episode
INNER JOIN
    recommends_shorts ON episode.programme_id = recommends_shorts.programme_id
WHERE recommends_shorts.is_episode = 1;
