CREATE TEMPORARY TABLE 'brand_hub_episodes_assets_backup' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_programme_id TEXT NOT NULL,
    type TEXT NOT NULL,
    asset_id TEXT NOT NULL,
    url TEXT NOT NULL,
    age_rating INTEGER NOT NULL,
    guidance_message TEXT,
    start_date INTEGER NOT NULL,
    end_date INTEGER NOT NULL,
    duration INTEGER NOT NULL,
    duration_label TEXT NOT NULL,
    request_type TEXT NOT NULL
);

INSERT INTO brand_hub_episodes_assets_backup (
    episode_programme_id,
    type,
    asset_id,
    url,
    age_rating,
    guidance_message,
    start_date,
    end_date,
    duration,
    duration_label,
    request_type
) SELECT
    episode_programme_id,
    type,
    asset_id,
    url,
    age_rating,
    guidance_message,
    start_date,
    end_date,
    duration,
    duration_label,
    request_type
FROM brand_hub_episodes_assets;

DROP TABLE brand_hub_episodes_assets;

CREATE TABLE 'brand_hub_episodes_assets' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    episode_programme_id TEXT NOT NULL,
    type TEXT NOT NULL,
    asset_id TEXT NOT NULL,
    url TEXT NOT NULL,
    age_rating INTEGER NOT NULL,
    guidance_message TEXT,
    start_date INTEGER NOT NULL,
    end_date INTEGER NOT NULL,
    duration INTEGER NOT NULL,
    duration_label TEXT NOT NULL,
    request_type TEXT NOT NULL
);

INSERT INTO brand_hub_episodes_assets (
    episode_programme_id,
    type,
    asset_id,
    url,
    age_rating,
    guidance_message,
    start_date,
    end_date,
    duration,
    duration_label,
    request_type
) SELECT
    episode_programme_id,
    type,
    asset_id,
    url,
    age_rating,
    guidance_message,
    start_date,
    end_date,
    duration,
    duration_label,
    request_type
FROM brand_hub_episodes_assets_backup;

CREATE INDEX brand_hub_episodes_assets_programme_id ON brand_hub_episodes_assets(episode_programme_id);
