CREATE TABLE 'my4_my_list' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    brand_id TEXT NOT NULL,
    title TEXT NOT NULL,
    image TEXT NOT NULL,
    series_count INTEGER,
    episodes_count INTEGER,
    item_position INTEGER NOT NULL
);

CREATE INDEX my4_my_list_brand_id_index ON my4_my_list(brand_id);
CREATE INDEX my4_my_list_item_position ON my4_my_list(item_position);

CREATE VIEW 'my4_my_list_with_brand_metadata' AS
SELECT
    my4_my_list.*,
    my4_brand.web_safe_title,
    my4_brand.title AS brand_title,
    my4_brand.summary,
    my4_brand.programme_type,
    my4_brand.channel
FROM my4_my_list INNER JOIN my4_brand
ON my4_my_list.brand_id = my4_brand.web_safe_title;
