CREATE TEMPORARY TABLE 'brand_hub_backup' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    web_safe_title TEXT NOT NULL,
    title TEXT NOT NULL,
    summary TEXT NOT NULL,
    programme_type TEXT NOT NULL,
    channel TEXT NOT NULL,
    UNIQUE (web_safe_title) ON CONFLICT REPLACE
);

INSERT INTO brand_hub_backup (
    web_safe_title,
    title,
    summary,
    programme_type,
    channel
) SELECT
    web_safe_title,
    title,
    summary,
    programme_type,
    channel
FROM brand_hub;

DROP TABLE brand_hub;

CREATE TABLE 'brand_hub' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    web_safe_title TEXT NOT NULL,
    title TEXT NOT NULL,
    summary TEXT NOT NULL,
    programme_type TEXT NOT NULL,
    channel TEXT NOT NULL,
    UNIQUE (web_safe_title) ON CONFLICT REPLACE
);

INSERT INTO brand_hub (
    web_safe_title,
    title,
    summary,
    programme_type,
    channel
) SELECT
    web_safe_title,
    title,
    summary,
    programme_type,
    channel
FROM brand_hub_backup;

CREATE INDEX brand_hub_id ON brand_hub(web_safe_title);


CREATE TABLE 'my_list' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    web_safe_title TEXT NOT NULL,
    in_my_list INTEGER NOT NULL DEFAULT 0,
    UNIQUE(web_safe_title) ON CONFLICT REPLACE
);

CREATE VIEW 'brand_hub_with_my_list' AS
SELECT
    brand_hub.*,
    in_my_list
FROM brand_hub INNER JOIN my_list
ON brand_hub.web_safe_title = my_list.web_safe_title;
