CREATE TABLE IF NOT EXISTS 'search_history' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    user_id TEXT NOT NULL,
    web_safe_title TEXT NOT NULL,
    title TEXT NOT NULL,
    type TEXT NOT NULL DEFAULT "BRAND",
    search_date TEXT NOT NULL,
    UNIQUE (web_safe_title, user_id) ON CONFLICT REPLACE
);

CREATE TEMPORARY TABLE 'search_result_backup' (
     _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
     brand_title TEXT NOT NULL,
     brand_encoded_title TEXT NOT NULL,
     search_query TEXT NOT NULL,
     search_time_date TEXT NOT NULL,
     user_name TEXT NOT NULL,
     UNIQUE (brand_title, user_name) ON CONFLICT REPLACE
);

INSERT INTO search_result_backup (
    brand_title,
    brand_encoded_title,
    search_query,
    search_time_date,
    user_name
) SELECT
    brand_title,
    brand_encoded_title,
    search_query,
    search_time_date,
    user_name
FROM search_result;

DROP TABLE search_result;

INSERT INTO search_history (
    user_id,
    web_safe_title,
    title,
    search_date
) SELECT
    user_name,
    brand_encoded_title,
    brand_title,
    search_time_date
FROM search_result_backup
WHERE search_time_date IS NOT "0" AND user_name IS NOT "";
