ALTER TABLE 'recommends_shorts' ADD COLUMN sort_position INTEGER NOT NULL DEFAULT 0;

DROP VIEW 'recommends_shorts_with_episodes';
CREATE VIEW IF NOT EXISTS 'recommends_shorts_with_episodes' AS
                                SELECT DISTINCT
                                    episode.title,
                                    episode.summary,
                                    episode.episode_number,
                                    episode.series_number,
                                    episode.programme_id,
                                    episode.delivery_download_url,
                                    episode.delivery_stream_url,
                                    episode.delivery_download_availability_start_date_time,
                                    episode.delivery_stream_availability_start_date_time,
                                    episode.delivery_download_availability_end_date_time,
                                    episode.delivery_stream_availability_end_date_time,
                                    episode.brand_encoded_title,
                                    episode.brand_title,
                                    episode.transmission_date,
                                    episode.thumbnail_url,
                                    episode.duration,
                                    episode.short_synopsis,
                                    episode.request_type,
                                    episode.guidance_message,
                                    episode.programme_type,
                                    episode.age_rating,
                                    episode.first_transmission_channel,
                                    episode.premiere,
                                    recommends_shorts.collection_id,
                                    recommends_shorts.collection_title,
                                    recommends_shorts.collection_subtitle,
                                    recommends_shorts.sort_position
                                FROM episode
                                INNER JOIN
                                    recommends_shorts ON episode.programme_id = recommends_shorts.programme_id;
