ALTER TABLE 'advert' ADD COLUMN creative_id INTEGER NOT NULL DEFAULT 0;

DROP VIEW "advert_slot_entry_with_advert";
CREATE VIEW IF NOT EXISTS "advert_slot_entry_with_advert" AS
    SELECT DISTINCT
        advert_slot.advert_slot_time_position,
        advert_slot.advert_slot_time_position_class,
        advert_slot.advert_slot_download_metadata_id,
        advert_slot_entry.advert_slot_id,
        advert_slot_entry.advert_id,
        advert_slot_entry.advert_slot_entry_position,
        advert.creative_id,
        advert.advert_download_batch_id,
        advert.advert_impression_urls,
        advert.advert_click_urls,
        advert.advert_download_duration
    FROM advert
    INNER JOIN
        advert_slot_entry ON advert_slot_entry.advert_id = advert.advert_id
    INNER JOIN
        advert_slot ON advert_slot.advert_slot_id = advert_slot_entry.advert_slot_id
    INNER JOIN
        download_metadata ON download_metadata.download_metadata_programme_id = advert_slot.advert_slot_download_metadata_id
            AND download_metadata.download_batch_id = advert.advert_download_batch_id
    ORDER BY advert_slot.advert_slot_download_metadata_id ASC,
        advert_slot.advert_slot_time_position ASC,
        advert_slot_entry.advert_slot_entry_position ASC;
