ALTER TABLE 'episode' ADD COLUMN has_subtitles INTEGER NOT NULL DEFAULT 0;
ALTER TABLE 'episode' ADD COLUMN audio_described INTEGER NOT NULL DEFAULT 0;

DROP VIEW 'episodes_with_catch_up_metadata';

CREATE VIEW 'episodes_with_catch_up_metadata' AS
SELECT DISTINCT
    episode._id as episode_db_id,
    episode.title,
    episode.summary,
    episode.episode_number,
    episode.series_number,
    episode.programme_id,
    episode.delivery_download_url,
    episode.delivery_stream_url,
    episode.delivery_download_availability_start_date_time,
    episode.delivery_stream_availability_start_date_time,
    episode.delivery_download_availability_end_date_time,
    episode.delivery_stream_availability_end_date_time,
    episode.delivery_download_request_type,
    episode.delivery_stream_request_type,
    episode.brand_encoded_title,
    episode.brand_title,
    episode.transmission_date,
    episode.thumbnail_url,
    episode.duration,
    episode.short_synopsis,
    episode.guidance_message,
    episode.programme_type,
    episode.age_rating,
    episode.first_transmission_channel,
    episode.premiere,
    episode.has_subtitles,
    episode.audio_described,
    catch_up_metadata.transmission_channel,
    catch_up_metadata.catch_up_date_time,
    catch_up_metadata._id as feed_id_order
FROM episode
LEFT OUTER JOIN
    catch_up_metadata ON episode.programme_id = catch_up_metadata.programme_id;
