ALTER TABLE 'download_metadata' ADD COLUMN download_drm_expiry_timestamp TEXT NOT NULL DEFAULT -1;

DROP VIEW 'episodes_by_downloads_metadata';

CREATE VIEW 'episodes_by_downloads_metadata' AS

SELECT DISTINCT
    episode._id as episode_db_id,
    episode.title,
    episode.summary,
    episode.episode_number,
    episode.series_number,
    episode.programme_id,
    episode.delivery_download_url,
    episode.delivery_stream_url,
    episode.delivery_download_availability_start_date_time,
    episode.delivery_stream_availability_start_date_time,
    episode.delivery_download_availability_end_date_time,
    episode.delivery_stream_availability_end_date_time,
    episode.delivery_download_request_type,
    episode.delivery_stream_request_type,
    episode.brand_encoded_title,
    episode.brand_title,
    episode.transmission_date,
    episode.thumbnail_url,
    episode.duration,
    episode.short_synopsis,
    episode.guidance_message,
    episode.programme_type,
    episode.age_rating,
    episode.first_transmission_channel,
    episode.premiere,
    episode.has_subtitles,
    episode.audio_described,
    download_metadata.download_batch_id,
    download_metadata.download_drm_expiry_timestamp
FROM episode
LEFT OUTER JOIN
    download_metadata ON episode.programme_id = download_metadata.download_metadata_programme_id;

DROP VIEW 'brand_hub_episodes_by_download_metadata';
CREATE VIEW "brand_hub_episodes_by_download_metadata" AS
SELECT
    download_metadata.download_batch_id,
    download_metadata.download_drm_expiry_timestamp,
    brand_hub_episodes.*,
    brand_hub.title as brand_title,
    brand_hub.summary as brand_summary,
    brand_hub.programme_type as brand_programme_type,
    brand_hub.channel as brand_channel
FROM brand_hub_episodes INNER JOIN download_metadata
ON brand_hub_episodes.programme_id = download_metadata.download_metadata_programme_id
INNER JOIN brand_hub
ON brand_hub_episodes.brand_hub_web_safe_title = brand_hub.web_safe_title;
