PRAGMA foreign_keys=off;
 
BEGIN TRANSACTION;
 
ALTER TABLE advert RENAME TO advert_temp;
 
CREATE TABLE 'advert' (
	_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
	advert_id TEXT NOT NULL,
	advert_download_batch_id TEXT,
	advert_download_duration INTEGER NOT NULL,
	advert_impression_urls TEXT,
	advert_click_urls TEXT, 
	creative_id INTEGER NOT NULL,
	UNIQUE (advert_id, advert_download_batch_id) ON CONFLICT REPLACE
);
 
INSERT INTO advert (
		_id, 
		advert_id, 
		advert_download_batch_id, 
		advert_download_duration, 
		advert_impression_urls, 
		advert_click_urls,
		creative_id
	)
  SELECT _id,
		advert_id,
		advert_download_batch_id,
		advert_download_duration,
		advert_impression_urls,
		advert_click_urls,
		creative_id
  FROM advert_temp;

ALTER TABLE download_metadata RENAME TO download_metadata_temp;

CREATE TABLE 'download_metadata' (
	_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    download_metadata_programme_id TEXT NOT NULL,
    download_metadata_duration INTEGER NOT NULL,
    download_batch_id TEXT NOT NULL,
    download_rights_path TEXT NOT NULL DEFAULT 'invalid-migrated-rights-path',
    download_token TEXT NOT NULL DEFAULT 'invalid-migrated-token',
    download_subtitled INTEGER NOT NULL DEFAULT 0,
    download_end_credits TEXT DEFAULT NUL,
    download_audio_described INTEGER NOT NULL DEFAULT 0,
    download_cdn TEXT NOT NULL DEFAULT "",
    download_drm_expiry_timestamp TEXT NOT NULL DEFAULT -1,
    UNIQUE (download_metadata_programme_id) ON CONFLICT REPLACE
);

INSERT INTO download_metadata (
		_id,
		download_metadata_programme_id,
		download_metadata_duration,
		download_batch_id,
		download_rights_path,
		download_token,
		download_subtitled,
		download_end_credits,
		download_audio_described,
		download_cdn,
		download_drm_expiry_timestamp
	)
  SELECT _id,
		download_metadata_programme_id,
		download_metadata_duration,
		download_batch_id,
		download_rights_path,
		download_token,
		download_subtitled,
		download_end_credits,
		download_audio_described,
		download_cdn,
		download_drm_expiry_timestamp
  FROM download_metadata_temp;

DROP TABLE download_metadata_temp;

COMMIT;

PRAGMA foreign_keys=on;
