BEGIN TRANSACTION;
ALTER TABLE advert ADD COLUMN advert_first_quartile_urls TEXT DEFAULT "";
ALTER TABLE advert ADD COLUMN advert_second_quartile_urls TEXT DEFAULT "";
ALTER TABLE advert ADD COLUMN advert_third_quartile_urls TEXT DEFAULT "";
ALTER TABLE advert ADD COLUMN advert_fourth_quartile_urls TEXT DEFAULT "";
ALTER TABLE advert ADD COLUMN advert_pause_urls TEXT DEFAULT "";
ALTER TABLE advert ADD COLUMN advert_resume_urls TEXT DEFAULT "";
ALTER TABLE advert ADD COLUMN advert_end_urls TEXT DEFAULT "";
ALTER TABLE advert_slot ADD COLUMN advert_slot_impression_urls TEXT DEFAULT "";

DROP VIEW "advert_slot_entry_with_advert";
CREATE VIEW IF NOT EXISTS "advert_slot_entry_with_advert" AS
    SELECT DISTINCT
        advert_slot.advert_slot_time_position,
        advert_slot.advert_slot_time_position_class,
        advert_slot.advert_slot_download_metadata_id,
        advert_slot_entry.advert_slot_id,
        advert_slot_entry.advert_id,
        advert_slot_entry.advert_slot_entry_position,
        advert.creative_id,
        advert.advert_download_batch_id,
        advert.advert_impression_urls,
        advert.advert_click_urls,
        advert.advert_first_quartile_urls,
        advert.advert_second_quartile_urls,
        advert.advert_third_quartile_urls,
        advert.advert_fourth_quartile_urls,
        advert.advert_pause_urls,
        advert.advert_resume_urls,
        advert.advert_end_urls,
        advert.advert_download_duration
    FROM advert
    INNER JOIN
        advert_slot_entry ON advert_slot_entry.advert_id = advert.advert_id
    INNER JOIN
        advert_slot ON advert_slot.advert_slot_id = advert_slot_entry.advert_slot_id
    INNER JOIN
        download_batch_id_by_programme_id ON download_batch_id_by_programme_id.programme_id = advert_slot.advert_slot_download_metadata_id
            AND download_batch_id_by_programme_id.download_batch_id = advert.advert_download_batch_id
    ORDER BY advert_slot.advert_slot_download_metadata_id ASC,
        advert_slot.advert_slot_time_position ASC,
        advert_slot_entry.advert_slot_entry_position ASC;
COMMIT;
