DELETE FROM 'recommends_shorts';

DROP TABLE 'recommends_shorts';

-- removed foreign key because now this is pointing to 2 tables
CREATE TABLE 'recommends_shorts' (
    _id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    collection_id TEXT NOT NULL,
    collection_title TEXT NOT NULL,
    collection_subtitle TEXT NOT NULL,
    programme_id TEXT NOT NULL,
    sort_position INTEGER NOT NULL,
    is_episode INTEGER NOT NULL,
    UNIQUE (programme_id) ON CONFLICT REPLACE
);

CREATE VIEW IF NOT EXISTS 'recommends_shorts_with_brands' AS
SELECT DISTINCT
    brand.*,
    recommends_shorts.collection_id,
    recommends_shorts.sort_position
FROM brand
INNER JOIN
    recommends_shorts ON brand.brand_id = recommends_shorts.programme_id
WHERE recommends_shorts.is_episode = 0;

DROP VIEW 'recommends_shorts_with_episodes';

CREATE VIEW IF NOT EXISTS 'recommends_shorts_with_episodes' AS
SELECT DISTINCT
    episode.*,
    recommends_shorts.collection_id,
    recommends_shorts.sort_position
FROM episode
INNER JOIN
    recommends_shorts ON episode.programme_id = recommends_shorts.programme_id
WHERE recommends_shorts.is_episode = 1;

